﻿using Af360StiSample.Data;
using Microsoft.AspNetCore.Mvc;
using Stimulsoft.Report.Mvc;
using Stimulsoft.Report;

namespace Af360StiSample.Controllers
{
    public class ViewController : Controller
    {
        public IActionResult Index()
        {
            return View();
        }
        
        public IActionResult GetReport()
        {
            // Create the report object and load data from xml file
            var reportDefinition =  System.IO.File.ReadAllText(
                StiNetCoreHelper.MapPath(this, "/reports/report_definition_20772.json"));

            var report = ReportDataBinder.CreateFromDefinition(reportDefinition);

            var data = new CustomerSettlementDatasetResult()
            {
                Auction = SampleDataFactory.SAMPLE_AUCTION,
                Bidder = SampleDataFactory.SAMPLE_BUYERS.First(),
                Settlement = SampleDataFactory.SAMPLE_SETTLEMENT,
            };

            ReportDataBinder.BindDataSource(report, data);

            
            return StiNetCoreViewer.GetReportResult(this, report);
        }

        public IActionResult ViewerEvent()
        {
            return StiNetCoreViewer.ViewerEventResult(this);
        }

        public IActionResult Design(string id)
        {
            return RedirectToAction("Index", "Design", new { id });
        }
    }
}
